import request from '@/utils/request'

const userApi = {
  login: '/login',
  logout: '/logout',
  add: '/sys/user/add',
  get: '/sys/user/get',
  update: '/sys/user/update',
  del: '/sys/user/delete',
  page: '/sys/user/page',
  updateEnabled: '/sys/user/updateEnabled',
  getInfo: '/sys/user/getInfo'
}

const userPasswordApi = {
  update: '/sys/user/passwordUpdate',
}

export function userLogin (params) {
  return request({
    url: userApi.login,
    method: 'post',
    data: params
  })
}

export function userAdd (params) {
  return request({
    url: userApi.add,
    method: 'post',
    data: params
  })
}
export function userGet (params) {
  return request({
    url: userApi.get,
    method: 'post',
    data: params
  })
}
export function userUpdate (params) {
  return request({
    url: userApi.update,
    method: 'post',
    data: params
  })
}
export function userDelete (params) {
  return request({
    url: userApi.del,
    method: 'post',
    data: params
  })
}
export function userPage (params) {
  return request({
    url: userApi.page,
    method: 'post',
    data: params
  })
}
export function userLogout (params) {
  // return request({
  //   url: userApi.logout,
  //   method: 'post',
  //   data: params
  // })
}
export function getInfo (params) {
  return request({
    url: userApi.getInfo,
    method: 'post',
    data: params
  })
}
export function userUpdateEnabled (params) {
  return request({
    url: userApi.updateEnabled,
    method: 'post',
    data: params
  })
}
export function passwordUpdate (params) {
  return request({
    url: userPasswordApi.update,
    method: 'post',
    data: params
  })
}
